package com.huigou.topsun.proofing.application;



import com.huigou.topsun.proofing.domain.workInstructionApply.model.WorkInstructionApply;
import com.huigou.topsun.proofing.domain.workInstructionApply.query.WorkInstructionApplyQueryRequest;

import java.util.List;
import java.util.Map;

public interface WorkInstructionApplyApplication {

   String QUERY_XML_FILE_PATH = "config/topsun/proofing/workInstructionApply.xml";
   void saveWorkInstructionApply(WorkInstructionApply workInstructionApply);

   Map<String, Object> slicedWorkInstructionApplyList(WorkInstructionApplyQueryRequest query);


   WorkInstructionApply getWorkInstructionApplyById(String workInstructionApplyId);

    void deleteWorkInstructionById(String id);
    void deleteWorkInstructionByIds(List<String> ids);
}

